Page MenuHomePhabricator

Merge duplicate projects #logstash and #wikimedia-logstash
Closed, ResolvedPublic

Description

We had a project for Logstash in the pre-production phabricator instance that was migrated to production. This project duplicates the Wikimedia-Logstash project that was created by the bugzilla import.

I don't really care which one stays, but there should be only one project. Possibly interesting is that the Logstash project has project id 1 and also owns task 1. If there is a useful purpose that these could be put to that would be nice. I see that T1: Get puppet runs into logstash is already getting quite a number of mentions due to an assumption that it is still the documentation tracking bug.

Event Timeline

bd808 created this task.Nov 24 2014, 4:48 PM
bd808 raised the priority of this task from to Needs Triage.
bd808 updated the task description. (Show Details)
bd808 changed Security from none to None.
bd808 added a subscriber: bd808.
Qgil triaged this task as Normal priority.Nov 24 2014, 6:32 PM
Qgil added subscribers: Aklapper, Qgil.

I commented this one to @Aklapper during the weekend, and he was aware already.

bd808 added a comment.Nov 24 2014, 6:36 PM

At least for T1: Get puppet runs into logstash I think it would be worth while to find a way to merge/join/associate it with T2001: [DO NOT USE] Documentation is out of date, incomplete (tracking) [superseded by #Documentation]. For what it's worth there really isn't any value to preserve in the current T1.

Qgil added a comment.Nov 24 2014, 6:56 PM

There is not such concept of merge. You can move all the task of one project with another project with Batch Edits, and then archive the unused project.

@bd808: Please decide which one of the two projects to keep.
Afterwards I'm happy to mass-move all tickets from the other project and close that (then empty) project as archived.

  • Logstash has 13 tasks
  • Wikimedia-Logstash has 34 tasks
bd808 added a comment.Nov 26 2014, 4:26 PM

@bd808: Please decide which one of the two projects to keep.
Afterwards I'm happy to mass-move all tickets from the other project and close that (then empty) project as archived.

  • Logstash has 13 tasks
  • Wikimedia-Logstash has 34 tasks

As much as it saddens me to "lose" project #1 I think that Wikimedia-Logstash is less confusingly named. The Logstash project in the labs instance was really meant to be a throw away test of using Phabricator and I was a bit surprised by it's import into the production instance anyway.

Aklapper closed this task as Resolved.Dec 1 2014, 10:17 PM

Moved 3 Logstash test tasks to the Spam project; moved the remaining 9 tasks to "Wikimedia-Logstash" project; copied the project members over; edited the old project's description to say "superseded by..."; removed and copied the "elk" alternative hashtag over (can't copy "logstash" itself as that's still blocked by the old project); closed "Logstash" project as archived.

bd808 moved this task from Backlog to Archive on the Wikimedia-Logstash board.Apr 22 2015, 3:25 AM